from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XBrowseNode(XInterface, Protocol):
    def getName(self) -> str: ...
    def getChildNodes(self) -> sequence < XBrowseNode >: ...
    def hasChildNodes(self) -> bool: ...
    def getType(self) -> int: ...
